Summary: A generic mozilla plug-in
Name: mozplugger
Version: 1.5.2
Release: 1.PU_IAS.2
License: GPL
Group: Applications/Internet
Url: http://mozplugger.mozdev.org/

Source0: http://mozplugger.mozdev.org/mozplugger/%{name}-%{version}.tar.gz
Patch0: mozplugger-1.1.3-redhat.patch
Patch1: mozplugger-1.5.0-lib64.patch
Patch2: mozplugger-1.5.0-fine.patch

Requires: mozilla
Requires: mikmod
Requires: xloadimage
Requires: sox

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: plugger
Provides: plugger
Obsoletes: acroread-plugin-mozilla

%description
MozPlugger is a generic Mozilla plug-in that allows the use of standard Linux
programs as plug-ins for media types on the Internet.

%prep
%setup -q
%patch1 -p1 -b .lib64
%patch2 -p1 -b .fine

%build
make linux lib=%{_lib}

%install
rm -rf $RPM_BUILD_ROOT
make install lib=%{_lib} root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%config /etc/mozpluggerrc
%{_bindir}/*
%{_libdir}/mozilla/plugins/*
%{_mandir}/man7/mozplugger.7*

%changelog
* Fri Jan 16 2004 Than Ngo <than@redhat.com> 1.5.0-1
- 1.5.0

* Fri Sep 26 2003 Harald Hoyer <harald@redhat.de> 1.3.2-1
- 1.3.2

* Thu Sep 04 2003 Than Ngo <than@redhat.com> 1.3.1-1
- 1.3.1

* Wed May  7 2003 Than Ngo <than@redhat.com> 1.1.3-1
- initial build
